QGIS Application - Bug report #1371
if | open a project file and the grass mapset is no longer there, qgis terminates
2008-10-21 04:05 AM - arkygeek -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11431
Description

| rearranged my grassdata so the mapset was in a different location. When | tried opening the project file, it terminated instantly.

Associated revisions

Revision 37¢c73c1f - 2009-04-17 12:06 AM - Jiirgen Fischer

fix #1371

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10580 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 3b3556b0 - 2009-04-17 12:06 AM - Jiirgen Fischer

fix #1371

git-svn-id: http://svn.osgeo.org/qgis/trunk@10580 c¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-02-05 01:53 AM - grasslandtom -

hi arkygeek,

when | move a mapset | get an error message with the title "Uncatched fatal GRASS error" and a message like "LOCATION <<
$GISDBASE/$LOCATION/$MAPSET/$layername/$layername >> unavailable" with the first three variables denoting my respective GRASS gisenv

variables and the following two the name of the first GRASS layer QGIS can not find.

Thus for me Ticket #1475 seems to be a duplicate of the one discussed here. Can you give it a try with QGIS 1.0.0 (I'm sorry, but I'm not able to try it with
HEAD)?

(You can have a look at the mentioned ticket for a workaround, though | don't think you still need one)

Tom

#2 - 2009-03-28 02:54 PM - Paolo Cavallini

Itis indeed a duplicate of #1475; please check that ticket for additional info
http://svn.osgeo.org/qgis/trunk/qgis@10580
http://svn.osgeo.org/qgis/trunk@10580

#3 - 2009-04-16 03:06 PM - Jiirgen Fischer
- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:3b3556b0 (SVN r10581)

#4 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
